#include<bits/stdc++.h>
using namespace std;

int main ()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int A_red = 0;
    int A_kolona = 0;
    int B_red = 0;
    int B_kolona = 0;
    string S;
    cin >> S;
    for(int i = 0; i < S.size(); i++)
    {
        if(S[i] == 'U')
        {
            B_red--;
        }
        else if(S[i] == 'D')
        {
            B_red++;
        }
        else if(S[i] == 'R')
        {
            B_kolona++;
        }
        else if(S[i] == 'L')
        {
            B_kolona--;
        }
    }
    int br = 0;
    if(B_red < A_red)
    {
        for(int i = 0; i < abs(B_red); i++)
        {
            cout << "D";
            br++;
        }
    }
    else
    {
        for(int i = 0; i < abs(B_red); i++)
        {
            cout << "U";
            br++;
        }
    }

    if(B_kolona < A_kolona)
    {
        for(int i = 0; i < abs(B_kolona); i++)
        {
            cout << "R";
            br++;
        }
    }
    else
    {
        for(int i = 0; i < abs(B_kolona); i++)
        {
            cout << "L";
            br++;
        }
    }
    if (br == 0)
    {
        cout << 0;
    }
    cout << endl;
    return 0;
}
